Bug 130548 - Page right and bottom margins in Writer in Landscape always zero
Summary: Page right and bottom margins in Writer in Landscape always zero
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.2 target:6.3.6
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2020-02-10 06:21 UTC by andis.lazdins
Modified: 2020-02-11 12:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andis.lazdins 2020-02-10 06:21:31 UTC
Description:
Page right and bottom margins in Writer document with landscape page style is always zero, in spite the page preview shows that page borders are correct and changes if they are changed.

Steps to Reproduce:
1.Create new writer file.
2.In Format > Page styles set Orientation Landscape and click OK.
3.Open again Format > Page styles

Actual Results:
Page margins Right and Bottom are set to zero.
Change these values to something, e.g. 2.00 and click OK.
Open again Format > Page styles and page margins Right and Bottom are again set to zero. In spite of that page preview shows actual page margins are set to the value you entered.

Expected Results:
Page Margins should show actual value entered before.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.1.1
Build ID: 56f3c78975db08733f771c53643b5d1aa7c57567
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: lv-LV (en_GB.UTF-8); UI-Language: en-US

The same behavior in 6.3.5 version.
Comment 1 Xisco Faulí 2020-02-10 11:31:09 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7958091b06954a7b253fdebb9ea0313db9217959

author	Caolán McNamara <caolanm@redhat.com>	2018-06-15 14:03:31 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-06-17 17:12:32 +0200
commit	7958091b06954a7b253fdebb9ea0313db9217959 (patch)
tree	614d4582389d92afc994ae143bdc2785cf7152b4
parent	d60d695fcc5064e1f16842387fdce23456a64694 (diff)
weld SvxPageDescPage

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2020-02-10 19:17:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8ed176b2cc868c187adf7edb9fe41ae1fb30f459

Resolves: tdf#130548 click is sent to the other member of the group

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2020-02-10 19:20:40 UTC
fixed in master, backport to 6-4 and 6-3 in gerrit
Comment 4 Xisco Faulí 2020-02-11 12:02:58 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 5d00a1c9c6e85f3d7a3e05ab485da79980c38d44
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-02-11 12:06:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ee094212fd3f3029afd15df07b29aae2c1e36ac9

Resolves: tdf#130548 click is sent to the other member of the group

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-02-11 12:08:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/a3519fdde2fd60eb51f867939905e5e3325522c7

Resolves: tdf#130548 click is sent to the other member of the group

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.